# xoxys.users

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.users/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.users)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.users/src/branch/main/LICENSE)

Manage users and default bash environment.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [users_bash_bashrc_overrides](#users_bash_bashrc_overrides)
  - [users_default_groups](#users_default_groups)
  - [users_default_inactive](#users_default_inactive)
  - [users_default_users](#users_default_users)
  - [users_global_bash_aliases](#users_global_bash_aliases)
  - [users_global_umask](#users_global_umask)
  - [users_pass_min_day](#users_pass_min_day)
  - [users_password_pam_minclass](#users_password_pam_minclass)
  - [users_password_pam_minlen](#users_password_pam_minlen)
  - [users_password_pam_retry](#users_password_pam_retry)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### users_bash_bashrc_overrides

#### Default value

```YAML
users_bash_bashrc_overrides: []
```

#### Example usage

```YAML
users_bash_bashrc_overrides:
  - /etc/skel/.bashrc
  - /root/.bashrc
```

### users_default_groups

#### Default value

```YAML
users_default_groups: []
```

### users_default_inactive

#### Default value

```YAML
users_default_inactive: -1
```

### users_default_users

#### Default value

```YAML
users_default_users: []
```

#### Example usage

```YAML
users_default_users:
  - name: admin
    groups:
      - wheel
    password: "secure"
    sshkeys: |
      "ssh-ed25519 AAAA..."
    shell: /bin/bash
```

### users_global_bash_aliases

#### Default value

```YAML
users_global_bash_aliases:
  - alias: ll
    command: ls -lh
  - alias: la
    command: ls -lha
```

### users_global_umask

#### Default value

```YAML
users_global_umask: '022'
```

### users_pass_min_day

#### Default value

```YAML
users_pass_min_day: 1
```

### users_password_pam_minclass

#### Default value

```YAML
users_password_pam_minclass: 4
```

### users_password_pam_minlen

#### Default value

```YAML
users_password_pam_minlen: 14
```

### users_password_pam_retry

#### Default value

```YAML
users_password_pam_retry: 3
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
